Warning: … pluggable.php on line 850 – BOMの存在 –


ローカル環境でXamppを使用してWordPressを実装しているのですが、管理画面にログインしようとすると以下のようなエラーが出力され、管理画面が開けませんでした。調べたところ、今回はwp-config.phpの保存形式がまずかったようです。

Warning: Cannot modify header information – headers already sent by (output started at・・・html_header.php:22) in・・・pluggable.php on line 850

dialog

UTF-8の場合はBOMをはずさないといけないようです。

TEXTエディタを使用していて「BOM」の存在を始めて知りました。


投稿者: cova

ザムウ取締役CTO。2010年に香川県三豊市へ移住。フリーランスSEとして活動をはじめる。とある機構にて中小企業の経営支援と、小学校にてICT講習も務める。2022年現在、子育て支援NPO理事、短大専任講師を兼任する。 【主な資格】経営学修士(MBA)修了、国家試験応用情報技術者、国内初の夫婦ITコーディネーター。 その他、2022年4月:2児(4歳・1歳)の父。 #赤ちゃんから学ぶ経営学 を配信。